from distutils.core import setup, Command
import sys

import dsympy

class test_dsympy(Command):
    """Runs all tests"""
    
    description = "Automatically run the core test suite for Sympy."
    user_options = []  # distutils complains if this is not here.
    
    def initialize_options(self):
        pass
    
    def finalize_options(self):
        pass

    def run(self):
        try:
            import py
        except ImportError:
            print """In order to run the tests, you need codespeak's py.lib
            web page: http://codespeak.net/py/dist/
            If you are on debian systems, the package is named python-codespeak-lib
            """
            sys.exit(-1)
        py.test.cmdline.main(args=["tests"])

setup(
      name = 'dsympy',
      version = dsympy.__version__,
      description = 'django sympy',
      license = 'BSD',
      packages = ['dsympy'],
      url = 'http://cusl3-dsympy.forja.rediris.es/',
      cmdclass = {'test' : test_dsympy},
      )
